﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DeX_Demo_Jun21
{
    public class XStudent
    {
        public Guid ExternalID;
        public string AdmissionNumber;
        public string UPN;
        public string Surname;
        public string ChosenName;
        public Nullable<DateTime> DateOfBirth;
        public string Gender;
        public string CurrentPrimaryClass;
        public string CurrentYearGroup;
        public string Ethnicity;
        public string free_meal;
        public Nullable<DateTime> free_meal_start;
        public Nullable<DateTime> free_meal_end;
        public string Diet;
        public string Religion;
        public string Apartment;
        public string HouseName;
        public string HouseNumber;
        public string Street;
        public string District;
        public string Town;
        public string AdministrativeArea;
        public string Postcode;
        public string Salutation;
        public string BuildingNumber;
        public string BuildingName;
        public string ContactEmail;
        public string ContactMobile;




        public static string CSVHeader()
        {
            string resp = "AdmissionNumber,UPN,Surname,ChosenName,DateOfBirth,Gender," +
             "Year Group ,RegGroup,Apartment,HouseName,HouseNumber,Street,District," +
             "Town,County,Postcode,Salutation,Ethnicity,Free_meal,Free_meal_start," +
             "Free_meal_end,Diet,Religion,ContactEmail,ContactMobile";

            //string resp = "AdmissionNumber,UPN,Surname,ChosenName,DateOfBirth,Gender," +
            //             "group_code(Year),RegGroup,Ethnicity,free_meal,free_meal_start," +
            //             "free_meal_end,Diet,Religion";

            return resp;
        }

        private static string clean(string s)
        {

            string rc = s == null ? "" : s;
            rc = rc.Replace(",", ";");
            rc = rc.Replace("\"", "'");
            return "\"" + rc + "\"";
        }
        // LA Support Team asked for 'Year ' to be removed from Year 4 
        private string TweakYear(string year)
        {
            if (year.StartsWith("Year ") && year.Length>5)
            {
                return year.Substring(6);
            }
            return year;
        }
        private static string nDateToString(Nullable<DateTime> d)
        {
            StringBuilder b = new StringBuilder();
            if (d == null)
            {
                b.Append("null");
            }
            else
            {
                b.Append(d.Value.Year);
                b.Append("-");
                if (d.Value.Month < 10)
                {
                    b.Append("0");
                }
                b.Append(d.Value.Month);
                b.Append("-");
                if (d.Value.Day < 10)
                {
                    b.Append("0");
                }
                b.Append(d.Value.Day);
            }
            return b.ToString();
        }
        public string ToCSV()
        {
            StringBuilder b = new StringBuilder();
            b.Append(clean(AdmissionNumber)); b.Append(",");
            b.Append(clean(UPN)); b.Append(",");
            b.Append(clean(Surname)); b.Append(",");
            b.Append(clean(ChosenName)); b.Append(",");
            b.Append(nDateToString(DateOfBirth)); b.Append(",");
            b.Append(clean(Gender)); b.Append(",");
            b.Append(clean(TweakYear(CurrentYearGroup))); b.Append(",");
            b.Append(clean(CurrentPrimaryClass)); b.Append(",");
            b.Append(clean(Apartment)); b.Append(",");
            b.Append(clean(HouseName)); b.Append(",");
            b.Append(clean(HouseNumber)); b.Append(",");
            b.Append(clean(Street)); b.Append(",");
            b.Append(clean(District)); b.Append(",");
            b.Append(clean(Town)); b.Append(",");
            b.Append(clean(AdministrativeArea)); b.Append(",");
            b.Append(clean(Postcode)); b.Append(",");
            b.Append(clean(Salutation)); b.Append(",");
            b.Append(clean(Ethnicity)); b.Append(",");
            string fsms = nDateToString(free_meal_start);
            b.Append(fsms == "null" ? "No" : "Yes"); b.Append(",");
            b.Append(fsms); b.Append(",");
            b.Append(nDateToString(free_meal_end)); b.Append(",");
            b.Append(clean(Diet)); b.Append(",");
            b.Append(clean(Religion)); b.Append(",");
            b.Append(clean(ContactEmail)); b.Append(",");
            b.Append(clean(ContactMobile)); b.Append(",");
            return b.ToString();
        }
    }

}
