﻿// ---------------------------------------------------------------------------------
// 
// Sample code is copyright (c) Education Software Solutions Ltd 2021
// 
// Education Software Solutions (Hereafter 'ESS') provide sample code to 
// ESS Technical Integrators (Hereafter 'TIs') under consultancy 
// or as part of our TI programme to assist in the production of applications and services
// to benefit mutual customers.
// 
// Sample code is supplied by the ESS TI Team and may be augmented / changed at any time.
//
// ESS grants non exclusive rights to use the code on an 'as is' basis to contracted TIs 
// for the purpose of interfacing with ESS Products.  Code may be used in whole or in part 
// for the TIs products. Rights are subject to the restrictions below.
//
// This code may not be used for commercial purposes without a current TI agreement   
// in place with ESS.  The use of any sample code may incur liabilities for TI contractual 
// fees.  
//
// If the code is provided to eductational establishments for their own use then further 
// consent from ESS must be obtained before the code can be re-used for commercial gain.
//
// No warranty is provided . This header must be retained within the code and Copyright acknowleged as
// Parts (c) Education Software Solutions Ltd 2021 in version info.
//
// Code samples may be used to support other partners and no exclusivity is implied herein
//
// ---------------------------------------------------------------------------------

namespace PostitCommon
{
    public class AuthRequest
    {
        /// <summary>
        /// Token server address
        /// partner support to provide
        /// </summary>
        public string STS { get; set; }
        /// <summary>
        /// For each school you get a client id and a secret
        /// From SIMS ID
        /// </summary>
        public string Client_ID { get; set; }
        /// <summary>
        /// For each school you get a client id and a secret
        /// From SIMS ID
        /// </summary>
        public string Secret { get; set; }
        /// <summary>
        /// Each school has an org id
        /// From SIMS ID
        /// </summary>
        public string Organisation_ID { get; set; }
        /// <summary>
        /// The scopes define access required
        /// e.g. partnerserverapplication partner
        /// </summary>
        public string Scopes { get; set; }
        /// <summary>
        /// The OCP APIM Key - one key per vendor possibly per app.
        /// From partner support
        /// </summary>
        public string OCP_APIM_Key { get; set; }
        /// <summary>
        /// OCP_APIM_Key for V2
        /// </summary>
        public string OCP_APIM_KeyV2 { get; set; }

    }
}
